> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-deploy/17.latest/deployment-workflow/restoring-content/partial-restore.md).

# Partial Restores

How to partially restore content in Umbraco Deploy

In some cases you might not want to restore the entire content tree, but only the parts that you need. **Partial restores** is a feature that allows for restoring specific parts of your content instead of restoring everything.

You can use Partial Restore on

* [Environments with existing content or media](#environment-with-existing-content-or-media), and on
* [Empty environments](#empty-environment)

## Empty environment

In this scenario you've cloned down your environment to your local machine or setup a new environment. In both cases the new environment will have an empty Content section as well as an empty Media section.

{% hint style="info" %}
This feature also restores all dependencies of the selected content.

For example, restoring a content node that references media or other content will also restore those items, including any parent nodes they depend on.
{% endhint %}

Follow these steps to perform a partial restore to get only the parts you need:

1. Go to the Content section of the Umbraco backoffice on your environment or locally.
2. Click **...** next to the Content Tree.
3. Choose *Partial Restore*.
4. Select the environment that you would like to restore content from.
5. Click "*Select content to restore*" - this will open a dialog with a *preview of the content tree* from the environment you selected.
6. Select the content node you would like to restore.
7. Decide whether you also want to restore any child nodes *below* the selected node.
8. Start the restore by clicking *Restore*.
9. To see the restored content, *reload* the content tree - Click **...** next to the Content tree to find this option.

{% hint style="info" %}
The dialog shows the items in the selected environment, including items that don't exist in your current environment. Use the search field to find an item by name. Members also match on username and email.

You can partially restore media, members, member groups, and dictionary items from their trees in the same way. Members require the [`AllowMembersDeploymentOperations`](/umbraco-deploy/17.latest/getting-started/deploy-settings.md#transfer-members) setting to allow restores. Member groups and dictionary items require the `TransferMemberGroupsAsContent` and [`TransferDictionaryAsContent`](/umbraco-deploy/17.latest/getting-started/deploy-settings.md#transfer-dictionary-items-as-content) settings.

Keep in mind if you select a content node deeper down the tree, all the parents above it, required for the node to exist, will be restored as well.
{% endhint %}

![Partial restore on empty environment](https://3380034848-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Febsxdo6rn5b86Y4JvrrZ%2Fuploads%2Fgit-blob-84cb5f8ce584fc7f7f6fef5f72df5a2a7188d181%2FpartialRestore-onEmpty-v9.gif?alt=media)

Partial Restores on empty environments are especially helpful when you have a large amount of content and media and do not necessarily need it all for the task you need to do.

Instead of having to restore everything which could potentially take a long time, doing a partial restore can be used to shorten the waiting time by only restoring the parts you need. This will ensure that you can quickly get on your way with the task at hand.

## Environment with existing content or media

It is also possible to use the Partial Restore feature on environments where you already have content in the Content tree.

Imagine that you are working with your Umbraco project locally. One of your content editors updates a section in the content tree on the production environment. You would like to see how this updated content looks with the new code you are working on. Follow these steps to do a Partial Restore of the updated content node:

1. Go to the Content section of your local Umbraco backoffice
2. Click **...** next to the content node which you know contains updates
3. Choose *Partial Restore*
4. Select the environment that you would like to restore content from
5. Decide whether you also want restore any child nodes under the selected node
6. Start the restore by clicking *Restore*
7. When the restore is done, reload the content tree to see the changes

![Partial restore](https://3380034848-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Febsxdo6rn5b86Y4JvrrZ%2Fuploads%2Fgit-blob-c5b457cdbf47986279d3e142ba71cba771e15163%2FpartialRestore-onEnvWithContent.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-deploy/17.latest/deployment-workflow/restoring-content/partial-restore.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
